package protocol

type AlarmType uint

const (
	AlarmTypeVideoLoss AlarmType = iota
	AlarmTypeCameraCovered
	AlarmTypeMotionDetection
	AlarmTypeStorageAbnormal
	AlarmTypeUserDefined
	AlarmTypeSentriesInspection
	AlarmTypeViolation
	AlarmTypeEmergency
	AlarmTypeSpeedAlarm
	AlarmTypeLowVoltage
	AlarmTypeOutOfFence = iota + 7
	AlarmTypeAccAlarm
	AlarmTypePeripheralsDropped
	AlarmTypeStopAnnouncement
	AlarmTypeGpsAntenna
	AlarmTypeDayNightSwitch
	AlarmTypeProhibitDriving
	AlarmTypeSerialAlarm = iota + 15
	AlarmTypeFatigueAlarm
	AlarmTypeTakeOutParking
	AlarmTypeGestureAlarm
	AlarmTypeGreenDriving
	AlarmTypeIllegalIgnition
	AlarmTypeIllegalShutdown
	AlarmTypeCustomExternal
	AlarmTypeThinkingLKJ
	AlarmTypeTAX3
	AlarmTypeOilAlarm
	AlarmTypeBusLineOccupation
	AlarmTypeForgottenAlarm
	AlarmTypeSpecialCustomerFault
	AlarmTypeTemperatureAbnormal
	AlarmTypeTemperatureChangeAbnormal
	AlarmTypeSmokeAlarm
	AlarmTypeGBox
	AlarmTypeLicensePlateRecognition
	AlarmTypeAnotherSpeedAlarm
	AlarmTypeWirelessSignalAbnormal
	AlarmTypeArming
	AlarmTypePhoneCall
	AlarmTypeGPSFault
	AlarmTypeDSMFault
	AlarmTypeFireBox
)

type AlarmLevel uint

const (
	AlarmLevelImportant AlarmLevel = iota
	AlarmLevelGeneral
	AlarmLevelEmergency
)
